#include <BME280I2C.h>
#include <Wire.h>
#include <U8g2lib.h>

U8G2_SSD1306_128X64_NONAME_F_SW_I2C display1(U8G2_R0, /* clock=*/ 12, /* data=*/ 14, /* reset=*/ U8X8_PIN_NONE);

U8G2_SSD1306_128X64_NONAME_F_SW_I2C display2(U8G2_R0, /* clock=*/ 5, /* data=*/ 4, /* reset=*/ U8X8_PIN_NONE);


BME280I2C bme;


void setup( ) {
  Serial.begin(115200);
  Wire.begin();
  bme.begin();
  //u8g2.begin();
  display1.begin();
  display2.begin();
}

void loop( ) {
  float temp, hum, pres;
  bme.read(pres, temp, hum);



  Serial.print( "Temperature (°C)= " );
  Serial.print(temp);
  Serial.print( " - Humidity = " );
  Serial.print(hum);
  Serial.println( "%" );
  Serial.print("Pressione: ");
  Serial.print (pres);
  Serial.println (" Pa");

  char chartemp[10];
  dtostrf(temp - 20, 3, 2, chartemp);
  char charhum[10];
  dtostrf(hum + 47, 3, 2, charhum);
  char charpres[10];
  dtostrf(pres, 3, 2, charpres);

  display1.clearBuffer();
  display1.setFont(u8g2_font_7x14B_tr);
  display1.drawStr(10, 10, "Weather station");
  display1.drawStr(0, 27, "Temp.:");
  display1.drawStr(45, 27, chartemp);
  display1.drawStr(88, 27, "C");
  display1.drawStr(0, 43, "Humd.:");
  display1.drawStr(45, 43, charhum);
  display1.drawStr(88, 43, "%");
  display1.drawStr(0, 60, "Pres.:");
  display1.drawStr(45, 60, charpres);
  display1.drawStr(100, 60, "Pa");
  display1.sendBuffer();

  display2.clearBuffer();
  display2.setFont(u8g2_font_7x14B_tr);
  display2.drawStr(10, 10, "Weather station");
  display2.drawStr(0, 27, "Temp.:");
  display2.drawStr(45, 27, chartemp);
  display2.drawStr(88, 27, "C");
  display2.drawStr(0, 43, "Humd.:");
  display2.drawStr(45, 43, charhum);
  display2.drawStr(88, 43, "%");
  display2.drawStr(0, 60, "Pres.:");
  display2.drawStr(45, 60, charpres);
  display2.drawStr(100, 60, "Pa");
  display2.sendBuffer();

  delay(500);
}
